Query My Reports List
Query my reports list.
Request URL
GET {base_url}/{api_path}/myreport/list?access_token={access_token}
Note: Use openapi/v1.0 endpoint in the API path when calling this API.
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of my reports. |
| data | Array<my_reports_list> | The list of my reports. |
my_reports_list
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the report. |
| name | String | The name of the report. |
| dataset | String | The dataset on which the report is based. |
| type | String | The type of the report.
|
| creator | String | The user who created the report. |
Examples
Request example
GET /openapi/v1.0/myreport/list?access_token=3GrX8Z0iXo3rtNnUiFmLACFUNKB3ExB6&sort_by=id&order_by=asc HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 3,
"data": [
{
"id": 1,
"name": "Inbound Queue Activity Analysis",
"dataset": "inboundqueueactivityanalysis",
"type": "custom_report",
"creator": "Leo Ball"
},
{
"id": 2,
"name": "Agent Activity Analysis",
"dataset": "agentactivityanalysis",
"type": "custom_report",
"creator": "Leo Ball"
},
{
"id": 3,
"name": "Extension Call Statistics",
"dataset": "extcallstatistics",
"type": "default_report",
"creator": "Terrel Smith"
}
]
}